## org.apache.tools.ant.taskdefs
Class ManifestTask.Mode

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.ManifestTask.Mode

Enclosing class:
  ManifestTask

    public static class ManifestTask.Mode

extends EnumeratedAttribute

Helper class for Manifest's mode attribute.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`ManifestTask.Mode()`

Method Summary
`java.lang.String[]` `getValues()` Get Allowed values for the mode attribute.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManifestTask.Mode

    public ManifestTask.Mode()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Get Allowed values for the mode attribute.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    a String array of the allowed values.